#include <iostream>
#include <vector>
#include <algorithm>
#include <utility>
#include <cstdio>
#include <queue>
#include <stack>
#include <iomanip>
#include <cstring>
#include <string>
#include <cstdlib>

#define X first
#define Y second
#define MP(x, y) make_pair((x), (y))

using namespace std;

const int nmax = 200100;

char s[nmax] = {}, t[nmax] = {};
int slen, tlen, k;

inline bool cmp(char *p1, char* p2, int n)
{
    for (int i = 0; i < n; ++i)
        if (p1[i] != p2[i])
            return false;
    return true;
}

inline bool check(int i)
{
    char* s2 = s+i;
    bool differs = false;
    for (int j = 0; j < tlen-k; ++j)
    {
        if (t[j] != s2[j])
        {
            if (t[j+k] == s2[j+k])
                return false;
            int temp = t[j+k];
            t[j+k] = s2[j+k];
            int res = cmp(t+j+1, s2+j+1, tlen-j-1);
            t[j+k] = temp;
            return res == 1;
        }
    }
    return false;

}

int main()
{
    freopen("virus.in", "r", stdin);
    freopen("virus.out", "w", stdout);

    fgets(s, nmax, stdin);
    slen = strlen(s);
    s[--slen] = '\0';
    fgets(t, nmax, stdin);
    tlen = strlen(t);
    t[--tlen] = '\0';

    scanf("%d", &k);
    vector<int> ans;
    if (tlen > slen) {
        printf("0\n\n");
        return 0;
    }

    for (int i = 0; i < slen-tlen+1; ++i) {
        int diffs = 0;
        int pos = -1, val;

        if (check(i))
            ans.push_back(i);

    }
    printf("%d\n", (int)ans.size());
    for (int i = 0; i < (int)ans.size(); ++i)
        printf("%d ", ans[i]+1);
    printf("\n");
    return 0;
}
